cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 4 MCU

Anonymous
Not applicable

I am new to PSoC and using  PSoC4 CY8CKIT-049 kit. I tested it with LED blink program and its working fine. Now I tried to see result for ADC but I am getting error- Bootloader reported error 'Packet data invalid': The packet sent to the bootloader does not conform to the required packet format.

   

The program I wrote is a simple one. Programm inside for loop is:

   

aVal  = ADC_GetResult16(0);

   

LED_Write(!LED_Read());

   

if(aVal> 2047) aVal = 2047;

   

if(aVal<1) aVal = 1;

   

aVal == aVal/2 +100;

   

CyDelay(aVal);

0 Likes
Reply
11 Replies
Esteemed Contributor II

Welcome in the forum!

   

This error is not related to the program you have written, it is a matter of communications between your bootloader which is already programmed into your kit and which cannot be overwritten.

   

Check the bootloadable component for the correct path to your original bootloader .hex and .elf files.

   

Check the baud rate settings

   

Triple check whether you took the correct com port

   

Check for the right blinking mode when kit was inserted with switched pressed.

   

 

   

Bob

0 Likes
Reply
Anonymous
Not applicable

I have checked again and again, but unable to find any error. Now when I am running my led blink program, it is showing the same error, but still the led is blinking. Not getting what is going wrong.

0 Likes
Reply
Esteemed Contributor II

Can you please post your complete project, so that we all can have a look at all of your settings. To do so, use
Creator->File->Create Workspace Bundle (minimal)
and attach the resulting file.

   

 

   

Bob

0 Likes
Reply
Anonymous
Not applicable

Hi,

   

I have the same problem. After a working day with the kit, at the end the bootloader has sent me the same error, for all programs which had already worked .

   

Some additional info: I updated Psoc Creator to 4.0 and, also Cy_Boot to the last version together with the components according to Forum disscutions. The result is the same "Packet data invalid" for all my programs and for both kits. Should be a issue of  configuration.

   

 

   

CY8CKIT 049 4125 AXI 483 

   

CY8CKIT 049 4245 AXI 483

   

Please, give me an advice!

   

Thank You!

0 Likes
Reply
Moderator
Moderator

Hi Danyi,

We are able to program your attached program once the dependencies are set correct. 
To change dependency: 
1. In the schematic view, right-click the Bootloadable component and select Configure.
2.In the configuration window, select the Dependencies tab and click the Browse button to point to the HEX and ELF files present in the ‘Dependencies’ folder under project directory. It will be present in the 49 kit specific files you have installed. Copy the complete path to the files in the appropriate fields. 

This should solve the problem.

Best Regards,
VSRS

0 Likes
Reply
Anonymous
Not applicable

Hi,

   

I am new to PSoC and using  PSoC4 CY8CKIT-049 kit. I tested it with LED blink program and at the beginning it was working fine. After I tested with the CapSense project and CapSense proximity project it was also working well. But yesterday I added another project and now when I try to send my application on the board I am getting error- Bootloader reported error 'Packet data invalid': The packet sent to the bootloader does not conform to the required packet format.

   

So I tried uninstall and re-install PSoC Creator and started again with the SCB_Bootloadable project and now nothing is working and I have ALWAYS this error : "Packet data invalid ... "

   

Do you have any solution for me ?

   

Best Regards,

   

Agathe

0 Likes
Reply
Esteemed Contributor II

Welcome in the forum, Agathe.

   

The project bundle does not contain all data.

   

Can you please post your complete project so that we all can have a look at all of your settings. To do so, use
Creator->File->Create Workspace Bundle (minimal)
and attach the resulting file.

   

 

   

Bob

0 Likes
Reply
Anonymous
Not applicable

Thank you for your quick answer Bob. I'm posting it !

0 Likes
Reply
Esteemed Contributor II

At first: Some of your components are outdated. Use Creator -> Project -> Update Components. Repeat that for all your projects.

   

Make sure you are using the bootloader hex and elf file that came with your prototype kit because that is programmed into your chip (and cannot be changed easily).

   

Think about getting another (better) kit as the CY8CKIT-043. Main advantage (beside newer chip) is the ability for debugging your programs which can be a tremendous help.

   

 

   

Bob

0 Likes
Reply
Anonymous
Not applicable

Thanks a lot it works !

   

Agathe

0 Likes
Reply
Esteemed Contributor II

Congratulations!

   

You are always welcome.

   

 

   

Bob

0 Likes
Reply